import LeafCreatorAPIUniversal from './Universal';
import LeafCreatorAPIAsArray from './AsArray/LeafCreatorAPIAsArray.type';
import LeafCreatorAPIAsBoolean from './AsBoolean';
import LeafCreatorAPIAsString from './AsString';
import LeafCreatorAPIAsNumber from './AsNumber';
import LeafCreatorAPIAsObject from './AsObject';
import Dict from '../../../Dict';
import LeafStandardActionCreator from '../../../Actions/LSA/Creator';
declare type LeafCreatorAPI = LeafCreatorAPIUniversal & {
    asArray: LeafCreatorAPIAsArray;
    asBoolean: LeafCreatorAPIAsBoolean;
    asNumber: LeafCreatorAPIAsNumber;
    asObject: LeafCreatorAPIAsObject;
    asString: LeafCreatorAPIAsString;
    custom?: Dict<LeafStandardActionCreator>;
};
export declare type ArrayLeafCreatorAPI = LeafCreatorAPI & LeafCreatorAPIAsArray;
export declare type BooleanLeafCreatorAPI = LeafCreatorAPI & LeafCreatorAPIAsBoolean;
export declare type NumberLeafCreatorAPI = LeafCreatorAPI & LeafCreatorAPIAsNumber;
export declare type ObjectLeafCreatorAPI = LeafCreatorAPI & LeafCreatorAPIAsObject;
export declare type StringLeafCreatorAPI = LeafCreatorAPI & LeafCreatorAPIAsString;
export declare type LeafCreatorAPITyped = ArrayLeafCreatorAPI | BooleanLeafCreatorAPI | NumberLeafCreatorAPI | ObjectLeafCreatorAPI | StringLeafCreatorAPI;
export default LeafCreatorAPI;
